aboutsummaryrefslogtreecommitdiffstats
path: root/extra/lzo/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-02-23 18:01:26 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-24 07:45:45 +0000
commit3f6cd7d519075121bf2bc6382991080a6a96725d (patch)
tree4e71d688bca8a30922598b24555f45192705f4af /extra/lzo/APKBUILD
parent5730205212b773a51092fae4ac21aa890e4841ff (diff)
downloadaports-3f6cd7d519075121bf2bc6382991080a6a96725d.tar.bz2
aports-3f6cd7d519075121bf2bc6382991080a6a96725d.tar.xz
extra/lzo LZO APKBUILD
Diffstat (limited to 'extra/lzo/APKBUILD')
-rw-r--r--extra/lzo/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/extra/lzo/APKBUILD b/extra/lzo/APKBUILD
new file mode 100644
index 0000000000..398552cc07
--- /dev/null
+++ b/extra/lzo/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=lzo
+pkgver=2.03
+pkgrel=0
+pkgdesc="LZO -- a real-time data compression library"
+url="http://www.oberhumer.com/opensource/lzo"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+subpackages=""
+source="http://www.oberhumer.com/opensource/lzo/download/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="0c3d078c2e8ea5a88971089a2f02a726 lzo-2.03.tar.gz"